// JFCDemo3.java

import java.awt.*;
import java.awt.geom.AffineTransform;

import java.applet.Applet;

public class JFCDemo3 extends Applet
{
   Image image;
   boolean shear = false;

   public void init ()
   {
      String imageName = getParameter ("image");
      if (imageName != null)
          image = getImage (getCodeBase (), imageName);

      String shear = getParameter ("shear");
      if (shear.toLowerCase ().equals ("true"))
          this.shear = true;
   }

   public void paint (Graphics g)
   {
      Graphics2D g2 = (Graphics2D) g;

      if (image != null)
      {
          if (shear)
          {
              AffineTransform at = new AffineTransform ();
              at.shear (0.5, 0.0);
              g2.setTransform (at);
          }

          g2.drawImage (image, 0, 0, this);
      }
   }
}
