// threadDemo.java

class threadDemo
{
   public static void main (String [] args)
   {
      MyThread mt1, mt2;

      mt1 = new MyThread ("Fred");
      mt2 = new MyThread ("Charlie");

      mt1.start ();
      mt2.start ();
   }
}

class MyThread extends Thread
{
   private int sleepInterval;

   public MyThread (String name)
   {
      super (name);

      sleepInterval = (int) (Math.random () * 3500);

      System.out.println ("Thread " + getName () + " will sleep for " +
                          sleepInterval + " milliseconds.");
   }

   public void run ()
   {
      System.out.println (currentThread ());

      try
      {
          Thread.sleep (sleepInterval);
      }
      catch (InterruptedException e)
      {
          System.err.println (e);
      }

      System.out.println (getName ());
   }
}
