// pipeDemo.java

import java.io.*;

class pipeDemo extends Thread
{
   static PipedReader pr;
   static PipedWriter pw;

   public static void main (String [] args) throws IOException
   {
      pipeDemo pd1 = new pipeDemo ("src");
      pipeDemo pd2 = new pipeDemo ("dst");

      pw = new PipedWriter ();
      pr = new PipedReader (pw);

      pd1.start ();

      try
      {
          Thread.sleep (2000);
      }
      catch (InterruptedException e) {}

      pd2.start ();
   }

   pipeDemo (String name)
   {
      super (name);
   }

   public void run ()
   {
      int ch;

      try
      {
         if (getName ().equals ("src"))
             for (int i = 0; i < 15; i++)
                  pw.write (getName () + " A" + i + '\n');
         else
             while ((ch = pr.read ()) != -1)
                System.out.print ((char) ch);
      }
      catch (IOException e) {}
   }  
}
