// shutdown.java

import java.io.*;

class shutdown
{
   public static void main (String [] args)
        throws ClassNotFoundException, IOException
   {
      // Create and start a timer.

      timer t = new timer ("Timer A");
      t.begin ();

      // Sleep for a bit to give the timer thread a chance to
      // increment the counter.

      try
      {
          Thread.sleep (2000);
      }
      catch (InterruptedException e) {}

      t.end ();

      // Print out the current timer name and counter.

      System.out.println ("Timer name = " + t.getTimerName ());
      System.out.println ("Timer counter = " + t.getCounter ());
       
      // Create an objects.tmp file and connect it to the
      // FileOutputStream object fos.

      FileOutputStream fos = new FileOutputStream ("objects.tmp");

      // Chain fos to the newly created ObjectOutputStream object oos.

      ObjectOutputStream oos = new ObjectOutputStream (fos);

      // Write the timer object t to this stream.

      oos.writeObject (t);

      // Flush the ObjectOutputStream object to objects.tmp.

      oos.flush ();

      // Close the FileOutputStream object.

      fos.close ();
   }
}
