// startup.java

import java.io.*;

class startup
{
   public static void main (String [] args)
        throws ClassNotFoundException, IOException
   {
      // Open objects.tmp and connect it to the FileInputStream
      // object fis.

      FileInputStream fis = new FileInputStream ("objects.tmp");

      // Chain fis to the newly created ObjectInputStream object ois.

      ObjectInputStream ois = new ObjectInputStream (fis);

      // Read the timer object t from this stream.

      timer t = (timer) ois.readObject ();

      // Close the FileInputStream object.

      fis.close ();

      // Display serialized name and counter.

      System.out.println ("Timer name = " + t.getTimerName ());
      System.out.println ("Timer counter = " + t.getCounter ());

      // Begin the timer.

      t.begin ();

      // Print out some counter values.

      for (int i = 0; i < 10; i++)
      {
           System.out.println (t.getCounter ());

           // Sleep for a while.

           try
           {
               Thread.sleep (100);
           }
           catch (InterruptedException e) {}
      }

      // End the timer.

      t.end ();
   }
}
