// dealership2.java

interface inventory
{
   int getQuantity ();
   double getUnitCost ();
}

class vehicle
{
   private String color;
   private String make;
   private String model;
   private int numTires;

   public vehicle (String color, String make, String model, int numTires)
   {
      this.color = color;
      this.make = make;
      this.model = model;
      this.numTires = numTires;
   }

   public String toString ()
   {
      return "Color = " + color + "\nMake = " + make + "\nModel = " + model +
             "\nNumber of tires = " + numTires;
   }
}

class truck extends vehicle implements inventory
{
   private int numDoors;
   
   public truck (String color, String make, String model, int numDoors)
   {
      super (color, make, model, 4);

      this.numDoors = numDoors;
   }

   public String toString ()
   {
      return super.toString () + "\nNumber of doors = " + numDoors;
   }

   public int getQuantity () { return 6; }
   public double getUnitCost () { return 12600.0; }
}

class motorcycle extends vehicle implements inventory
{
   public motorcycle (String color, String make, String model)
   {
      super (color, make, model, 2);
   }

   public int getQuantity () { return 8; }
   public double getUnitCost () { return 3750.0; }
}

class dealership2
{
   public static void main (String [] args)
   {
      System.out.println ("Dealership2...\n");

      truck pickup = new truck ("Red", "Ford", "F150", 2);
      System.out.println (pickup);
      System.out.println ("Quantity = " + pickup.getQuantity ());
      System.out.println ("Unit cost = " + pickup.getUnitCost ());
      System.out.println ("Total cost = " +
                          pickup.getQuantity () * pickup.getUnitCost ());
      System.out.println ("");

      motorcycle roadHog = new motorcycle ("Black", "Honda", "Shadow");
      System.out.println (roadHog);
      System.out.println ("Quantity = " + roadHog.getQuantity ());
      System.out.println ("Unit cost = " + roadHog.getUnitCost ());
      System.out.println ("Total cost = " +
                          roadHog.getQuantity () * roadHog.getUnitCost ());
      System.out.println ("");
   }
}
