// hashtableDemo.java

import java.util.*;

class hashtableDemo
{
   public static void main (String [] args)
   {
      String data;
      String msg;

      // Create a Hashtable object with an initial capacity of 20
      // buckets and a load factor of .75.

      Hashtable h = new Hashtable (20);

      System.out.println (h.put ("one", new Integer (1)));
      System.out.println (h.put ("name", "John Doe"));
      System.out.println (h.put ("date", new Date ()));
      System.out.println (h.put ("one", new Integer (4)));

      // Output all keys.

      System.out.println ("\nOutputting keys...");
      Enumeration e = h.keys ();
      while (e.hasMoreElements ())
             System.out.println (e.nextElement ());

      // Output all values.

      System.out.println ("\nOutputting values...");
      e = h.elements ();
      while (e.hasMoreElements ())
         System.out.println (e.nextElement ());
   }
}
