// copy.java

import java.io.*;

class copy
{
   public static void main (String [] args) throws IOException
   {
      if (args.length != 2)
      {
          System.out.println ("usage: java copy srcfile dstfile");
          return;
      }

      // Create file input stream attached to args [0] file.

      FileInputStream fis = new FileInputStream (args [0]);

      // Create file output stream attached to args [1] file.

      FileOutputStream fos = new FileOutputStream (args [1]);

      int ch;

      // While not eof (-1), read all characters from fis and
      // write these characters to the file associated with
      // fos.

      while ((ch = fis.read ()) != -1)
         fos.write (ch);

      // Close file associated with file input stream.

      fis.close ();

      // Close file associated with file output stream.

      fos.close ();
   }
}


